apiVersion: v2
name: opencloud
description: Helm chart for opencloud services deployment
type: application
version: 0.0.1
appVersion: "0.0.1"

# TODO: grafana, loki
dependencies:
- name: openldap
  repository: https://jp-gouin.github.io/helm-openldap/
  version: "2.0.4"
  condition: openldap.enabled  
- name: traefik
  version: "33.0.0"
  repository: "https://helm.traefik.io/traefik"
  condition: traefik.enabled
- name: nats
  version: "1.2.6"
  repository: "https://nats-io.github.io/k8s/helm/charts/"
  condition: nats.enabled
- name: mongodb
  version: "16.3.1"
  repository: "https://charts.bitnami.com/bitnami"
  condition: mongodb.enabled
- name: mongo-express
  version: "6.5.2"
  repository: "https://cowboysysop.github.io/charts/"
  condition: mongo-express.enabled
- name: hydra
  version: "0.50.2"
  repository: "https://k8s.ory.sh/helm/charts"
  condition: hydra.enabled
- name: keto
  version: "0.50.2"
  repository: "https://k8s.ory.sh/helm/charts"
  condition: keto.enabled
- name: loki
  version: "6.23.0"
  repository: "https://grafana.github.io/helm-charts"
  condition: loki.enabled
- name: grafana
  version: "8.6.4"
  repository: "https://grafana.github.io/helm-charts"
  condition: grafana.enabled
